#ifndef RESOURCES_H
#define RESOURCES_H

#include "raylib.h"

extern void InitializeResourceSubsystem();
extern void CleanResourceSubsystem();

//! Load a model resource from disk, path is relative to the resource folder
extern Model *ResourcesLoadModel(char const *res_path);
//! Load a texture resource from disk, path is relative to the resource folder
extern Texture *ResourcesLoadTexture(char const *res_path);

#endif // !RESOURCES_H
